@use '../core';
@use '../core/mixins' as m;

// Combinations of classname, property and values to generate responsive classes
$utils: (
    (hidden, display, none),
    (block, display, block),
);
// Create combinations of breakpoints and $utils:
@each $class, $prop, $value in $utils {
  // .-hidden
  // .-block
  // ...
  .-#{$class} { #{$prop}: #{$value} }

  // .-sm:hidden, .-sm:block, ...
  // .-md:hidden, .-md:block, ...
  // .-lg:hidden, .-lg:block, ...
  @include m.responds-to-variants($class) {
    #{$prop}: #{$value} !important; /* stylelint-disable declaration-no-important */
  }

  @include m.responds-to-variants($class, true) {
    #{$prop}: #{$value} !important; /* stylelint-disable declaration-no-important */
  }
}
